// (c) MIT 2003.  All rights reserved.

package rec.simulate.reasoners;


import java.io.*;
import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.simulate.widgets.*;


public class SimRotationalDamperReasoner extends Reasoner 
{
  public SimRotationalDamperReasoner()
  {
    super();
  }


  //////////////////////////////////////////////////////////////////////////////
  public Iterator getStrongerTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.simulate.widgets.WSimRotationalDamper" );

    return v.iterator();
  }

  public Iterator getWeakerTypes()
  {
    Vector v = new Vector();

    v.addElement( "rec.simulate.widgets.WSimCircle" );
    v.addElement( "rec.simulate.widgets.WSimDamper" );
    v.addElement( "rec.simulate.widgets.WSimPinJoint");

    return v.iterator();
  }

  public boolean match( Surface s, Widget stronger, Widget weaker )
  {

      if(stronger instanceof WSimRotationalDamper){ 
	  return true;
      }
      else {
	  return false;
      }
      
      
  }
    

}
